<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>WSI Annotator</title>
{#    <script type="text/javascript" src="{{ url_for('static', filename='jquery.js') }}"></script>#}
    <script type="text/javascript" src="{{ url_for('static', filename='jquery.min.js') }}"></script>
    <script type="text/javascript" src="{{ url_for('static', filename='openseadragon.js') }}"></script>
{#    <script type="text/javascript" src="{{ url_for('static', filename='openseadragon-scalebar.js') }}"></script>#}
    <script type=text/javascript>
        $(function() {
          $('a#process_input').bind('click', function() {
            $.getJSON('/background_process', {proglang: $('input[name="proglang"]').val(),}, function(data) {$("#result").text(data.result);});
            return false;
          });
        });

        // function for trigger1
        $(function() {
          $('a#trigger1').bind('click', function() {
            $.getJSON('/update_image', {proglang: $('input[name="proglang"]').val(),}, function(data) {$("#result2").text(data.slide_url);});
            return false;
          });
        });
    </script>
</head>
<body>
<h1>Hi</h1>

<img src="{{ url_for('static', filename='1.jpg') }}" style="width: 100px; height: auto;">


<div class="info">
    <div id="openseadragon1" style="width: 500px; height: 500px;"></div>
    <div class="position">pos</div>
    <div class="zoom">zoom</div>
</div>

<div class='container'>
    <h3>Question</h3>
        <form>
            <input type=text size=5 name=proglang>
            <a href=# id=process_input><button class='btn btn-default'>Submit</button></a>
        </form>
    <p id=result></p>
</div>

<div class='container'>
    <h3>Question2</h3>
        <form>
            <input type=text size=5 name=proglang>
            <a href=# id=trigger1><button class='btn btn-default'>Submit</button></a>
        </form>
    <p id=result2></p>
</div>

<tbody>
{% for item in segment_details %}
    {{ item }}
{% endfor %}
</tbody>

<script type="text/javascript">
    var positionEl = document.querySelectorAll('.info .position')[0];
    var zoomEl = document.querySelectorAll('.info .zoom')[0];

    var viewer = OpenSeadragon({
        id: 'openseadragon1',
        prefixUrl: '{{ url_for('static', filename='images/') }}',
        tileSources: {
            type: "image",
            url: "{{ slide_url }}",
            buildPyramid: false     // Not really necessary, just keep it to be safe.
        },

        showNavigator: true,
        showRotationControl: true,
        animationTime: 0.5,
        blendTime: 0.1,
        constrainDuringPan: true,
        maxZoomPixelRatio: 2,
        minZoomLevel: 1,
        visibilityRatio: 1,
        zoomPerScroll: 2,
        timeout: 120000,
    });


    var updateZoom = function() {
        var zoom = viewer.viewport.getZoom(true);
        var imageZoom = viewer.viewport.viewportToImageZoom(zoom);

        zoomEl.innerHTML = 'Zoom:<br>' + (Math.round(zoom * 100) / 100) +
            '<br><br>Image Zoom:<br>' + (Math.round(imageZoom * 100) / 100);
    };

    $.getJSON('/_myproc', {myvar: viewer.viewport.getZoom(true),}, function(data) {$("#result").text(data.aaa);});

    viewer.addHandler('open', function() {

        var tracker = new OpenSeadragon.MouseTracker({
            element: viewer.container,
            moveHandler: function(event) {
                var webPoint = event.position;
                var viewportPoint = viewer.viewport.pointFromPixel(webPoint);
                var imagePoint = viewer.viewport.viewportToImageCoordinates(viewportPoint);
                var zoom = viewer.viewport.getZoom(true);
                var imageZoom = viewer.viewport.viewportToImageZoom(zoom);

                positionEl.innerHTML = 'Web:<br>' + webPoint.toString() +
                    '<br><br>Viewport:<br>' + viewportPoint.toString() +
                    '<br><br>Image:<br>' + imagePoint.toString();

                updateZoom();
                $.getJSON('/_myproc', {myvar: viewer.viewport.getZoom(true),}, function(data) {$("#result").text(data.aaa);});
            }
        });

        tracker.setTracking(true);

        viewer.addHandler('animation', updateZoom);}
    );

    function open_slide(url, mpp) {
        var tile_source;
        if (dzi_data[url]) {
            // DZI XML provided as template argument (deepzoom_tile.py)
            tile_source = new OpenSeadragon.DziTileSource(
                    OpenSeadragon.DziTileSource.prototype.configure(
                    OpenSeadragon.parseXml(dzi_data[url]), url));
        } else {
            // DZI XML fetched from server (deepzoom_server.py)
            tile_source = url;
        }
        viewer.open(tile_source);
        viewer.scalebar({
            pixelsPerMeter: mpp ? (1e6 / mpp) : 0,
        });
    }

    open_slide("{{ slide_url }}", parseFloat('{{ slide_mpp }}'));
    $(".load-slide").click(function(ev) {
        $(".current-slide").removeClass("current-slide");
        $(this).parent().addClass("current-slide");
        open_slide($(this).attr('data-url'),
                parseFloat($(this).attr('data-mpp')));
        ev.preventDefault();
    });

</script>



</body>
</html>